"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * returns the current working directory
 */
exports.currentAbsolutePath = () => process.cwd().toString().replace(/(?:\r\n|\r|\n)/g, "");
/**
 *
 * @param configFilePath
 * @return the absolute path to the main configuration of the project
 *
 */
exports.pathToConfigFile = (configFilePath) => {
    const path = require('path');
    return path.resolve(exports.currentAbsolutePath(), configFilePath.replace(/\.[^/.]+$/, ""));
};
/**
 * npm run build && node -r dotenv/config -e 'require(\"./src/config\").slsLogin()' dotenv_config_path=.dev.env && sls deploy && node -r dotenv/config -e 'require(\"./src/config\").s3sync()' dotenv_config_path=.dev.env",
 */
function loadEnv(env) {
    return __awaiter(this, void 0, void 0, function* () {
        if (env.endsWith(".env")) {
            const cmd = require('node-cmd');
            yield cmd.run(`export $(grep -v '^#' ${env} | xargs) `);
            const dotenv = require('dotenv');
            const result = dotenv.config({ path: env });
            if (result.error) {
                throw result.error;
            }
            //const { parsed: envs } = result;
            //console.log(envs);
            return true;
        }
        return false;
    });
}
exports.loadEnv = loadEnv;
;
//# sourceMappingURL=system-libs.js.map