"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = __importDefault(require("../types"));
/**
 * identifies a component as a WebApp: it implements all the required fields
 *
 * @param component to be tested
 */
function isWebApp(component) {
    return component.props !== undefined &&
        component.props.id !== undefined &&
        component.props.path !== undefined &&
        component.props.method !== undefined;
}
exports.isWebApp = isWebApp;
/**
 * The WebApp is a client that runs in the browser, SPA or SSR
 *
 * @param props
 */
exports.default = (props) => {
    console.log("webapp: ", props);
    // the WebAppComponent must have all the properties of IClient
    const clientProps = {
        infrastructureType: types_1.default.INFRASTRUCTURE_TYPE_CLIENT,
    };
    return Object.assign(clientProps, props);
};
//# sourceMappingURL=webapp-component.js.map